Roster
Get the status of a job
GET
/
roster
/
status
/
{jobId}
{
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "2023-11-07T05:31:56Z",
"isActive": true,
"status": "starting",
"hasResult": true,
"messages": {
"items": [
{
"text": "<string>",
"entities": [
{
"kind": "SHIFT_ID",
"value": "<string>"
}
]
}
],
"nextToken": "<string>"
},
"error": "<string>",
"metrics": [
{
"scope": {
"metricKey": "AVAILABILITY.WORKED_MINUTES",
"ruleLabel": "<string>",
"includeEmployeeValues": false
},
"value": 123,
"employeeValues": {}
}
]
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
Query Parameters
Response
Current solver status and published outputs for a roster job.
